REM *************************************************************************
REM DEFINE VARIABLES
REM *************************************************************************
REM 

SET OLDVERSION=1.2.0.11
SET NEWVERSION=1.2.0.12
SET PLUGIN_NAME=MyTestPlugin
SET PLUGIN=MP2 MyTestPlugin

SET RELEASE_DIR="C:\Program Files (x86)\Team MediaPortal\MP2-Client\Plugins"
REM remove quotes
SET RELEASE_DIR=###%RELEASE_DIR%###
SET RELEASE_DIR=%RELEASE_DIR:"###=%
SET RELEASE_DIR=%RELEASE_DIR:###"=%
SET RELEASE_DIR=%RELEASE_DIR:###=%

SET SOURCE_DIR="H:\User Daten\Visual C# Projects\MP2 MyTestPlugin\Step3"
REM remove quotes
SET SOURCE_DIR=###%SOURCE_DIR%###
SET SOURCE_DIR=%SOURCE_DIR:"###=%
SET SOURCE_DIR=%SOURCE_DIR:###"=%
SET SOURCE_DIR=%SOURCE_DIR:###=%

SET MSFRAMEPATH="C:\Windows\Microsoft.NET\Framework\v3.5\MSBuild.exe"
SET FILE_REPLACE=..\..\FileReplaceString.exe

REM ******************************END VARIABLES******************************


REM *************************************************************************
REM Version Update
REM *************************************************************************

REM %FILE_REPLACE% "BackupSettingsV%NEWVERSION%.Source\BackupSettingsTV_1.2\BackupSettingsTV\BackupSettingsTV.cs" %OLDVERSION% %NEWVERSION%





REM *************************************************************************
REM release All
REM *************************************************************************

MKDIR "%RELEASE_DIR%\%PLUGIN_NAME%"
CD "%SOURCE_DIR%"
COPY /Y  "%SOURCE_DIR%\bin\x86\Debug\%PLUGIN_NAME%.dll"  "%RELEASE_DIR%\%PLUGIN_NAME%\%PLUGIN_NAME%.dll"
COPY /Y  "%SOURCE_DIR%\plugin.xml"  "%RELEASE_DIR%\%PLUGIN_NAME%\plugin.xml"
XCOPY "%SOURCE_DIR%\Language" "%RELEASE_DIR%\%PLUGIN_NAME%\Language" /S /C /I /Y
XCOPY "%SOURCE_DIR%\Skin" "%RELEASE_DIR%\%PLUGIN_NAME%\Skin" /S /C /I /Y
PAUSE


